#!/bin/sh

# load the environment
#. /etc/profile

# Backup the crontab for root
crontab -l > /usr/local/bin/crontab.backup

# change the permissions on the main directories
#chnws /data/files/*
#chnws /data/stats/system/*
#chnws /usr/local/etc/apache/*user   

# Delete the temp files
/usr/bin/rm /data/nmis/web/tmp/* 1>/dev/null 2>/dev/null

# Update the password files in case it got missed
#passwords.sh

# Delete the accumulated Core Files that might be lying around
/usr/bin/find / -name core -type f -exec rm {} \;

# Delete the invalid files in the Database and Stats directories
find /data/nmis/database/interface -name "*loop*" -exec rm {} \; 
find /data/nmis/database/interface -name "*null*" -exec rm {} \; 
find /data/nmis/database/interface -name "*tunn*" -exec rm {} \; 
find /data/nmis/database/interface -name "*async*" -exec rm {} \; 
find /data/nmis/stats -name "*loop*" -exec rm {} \; 
find /data/nmis/stats -name "*null*" -exec rm {} \; 
find /data/nmis/stats -name "*tunn*" -exec rm {} \; 
find /data/nmis/stats -name "*async*" -exec rm {} \; 

#/usr/local/bin/setown.sh

# Kill all old process of NodeStats
month=`date | awk '{print $2}'|cut -c 1-3` 
kill -9 `ps -ef|grep nodestats|grep $month|awk '{print $2}'`

exit 0
